-- wengwengweng

local root
local game = {}

function game:init()

	love.graphics.setFont(assets.fonts["04b03"](20))
	love.graphics.setDefaultFilter("nearest", "nearest")
	love.graphics.setLineStyle("rough")

	screen:init(960, 640)

	sounds = SoundManager()
	sounds:add("room", assets.audio.room("stream"))
	sounds:add("icecream", assets.audio.icecream("stream"))
	sounds:get("icecream"):setLooping(true)
	sounds:add("cut", assets.audio.cut("static"))
	sounds:get("cut"):setVolume(0.3)
	sounds:add("switch", assets.audio.switch("static"))
	sounds:get("switch"):setVolume(0.3)
	sounds:add("pick", assets.audio.bell("static"))
	sounds:get("pick"):setVolume(0.3)
	sounds:add("door", assets.audio.door("static"))
	sounds:get("door"):setVolume(0.3)
	sounds:add("paper", assets.audio.paper("static"))
	sounds:get("paper"):setVolume(0.3)
	sounds:add("scratch", assets.audio.scratch("static"))
	sounds:get("scratch"):setVolume(0.3)
	sounds:add("good", assets.audio.good("static"))
	sounds:get("good"):setVolume(0.3)
	sounds:add("squeeze", assets.audio.squeeze("static"))
	sounds:get("squeeze"):setVolume(0.3)
	sounds:add("drill", assets.audio.drill("stream"))
	sounds:get("drill"):setVolume(0.3)
	sounds:add("scream", assets.audio.scream("stream"))
	sounds:get("scream"):setVolume(0.8)

	cursor:register("normal", "assets/sprites/cursor.png", 8, 8)
	cursor:register("hand", "assets/sprites/hand.png", 8, 8)
	cursor:set("normal")

	root = Search()

end

function game:update(dt)

	root:listen(dt)
	root:update(dt)
	Input.reset()

end

function game:draw()

	screen:push()
	root:draw()
	debug:draw()
	screen:pop()

end

return game
