-- wengwengweng

-- Core
_ = require("src/core/utils")
Object = require("src/core/object")
assets = require("src/core/assets")("assets")
col = require("src/core/col")
data = require("src/core/data")
debug = require("src/core/debug")
cursor = require("src/core/cursor")
Input = require("src/core/input")
screen = require("src/core/screen")
Event = require("src/core/event")
SoundManager = require("src/core/sounds")
State = require("src/core/state")
Shader = require("src/core/shader")
Vector = require("src/core/vector")
Node = require("src/core/node")
Root = require("src/core/root")
Scene = require("src/core/scene")
sponge = require("src/core/sponge")

-- Nodes
T = require("src/nodes/transform")
Sprite = require("src/nodes/sprite")
World = require("src/nodes/world")
Box = require("src/nodes/box")
Motion = require("src/nodes/motion")
Camera = require("src/nodes/camera")
Timer = require("src/nodes/timer")
Shake = require("src/nodes/shake")
Item = require("src/nodes/item")
Fridge = require("src/nodes/fridge")
Leaf = require("src/nodes/leaf")
Note = require("src/nodes/note")
Flower = require("src/nodes/flower")
Mouth = require("src/nodes/mouth")
Painting = require("src/nodes/painting")
Light = require("src/nodes/light")
ToothBrush = require("src/nodes/toothbrush")
Blanket = require("src/nodes/blanket")
Paste = require("src/nodes/paste")
Eye = require("src/nodes/eye")
Bag = require("src/nodes/bag")
Back = require("src/nodes/back")
Spot = require("src/nodes/spot")
View = require("src/nodes/view")
Bedroom = require("src/nodes/bedroom")
Secret = require("src/nodes/secret")
Frozen = require("src/nodes/frozen")
Good = require("src/nodes/good")
Yo = require("src/nodes/yo")
Balcony = require("src/nodes/balcony")
Search = require("src/nodes/search")

local game = require("game")

function love.load()
	game:init()
end

function love.update(dt)
	game:update(dt)
end

function love.draw()
	game:draw()
end
