-- wengwengweng

local Object = setmetatable({}, {

	__call = function(t, ...)

		local obj = setmetatable({}, {
			__index = t
		})

		obj.__index = t
		obj.new(obj, ...)

		return obj

	end

})

function Object:new() end

function Object:extend()

	local Obj = {}

	Obj.super = self

	return setmetatable(Obj, {
		__call = getmetatable(self).__call,
		__index = self
	})

end

function Object:implement(t)

	for k, v in pairs(t) do
		if (self[k] == nil and type(v) == "function") then
			self[k] = v
		end
	end

end

function Object:is(t)

	if (self and self.__index) then

		if (self.__index == t) then
			return true
		else

			local mt = getmetatable(self.__index)

			while (mt) do

				if (mt.__index == t) then
					return true
				end

				mt = getmetatable(mt.__index)

			end

		end

	else

		return false

	end

end

return Object
