-- wengwengweng

local Scene = Node:extend()

function Scene:init(...)

	self.scenes = {}
	self.stack = {}
	self.cb = function() end
	self:add(...)

end

function Scene:add(...)

	for i, s in ipairs({...}) do
		self.scenes[s.__index] = s
	end

	self:change()

end

function Scene:switch(index)

	local p = self:current()
	local n = self.scenes[index]

	if (p) then
		p:leave(n)
	end

	n:enter(p)
	self.stack = { n }
	self:change()

end

function Scene:push(index)

	local p = self:current()
	local n = self.scenes[index]

	if (p) then
		p:leave(n)
	end

	n:enter(p)
	self.stack[#self.stack + 1] = self.scenes[index]
	self:change()

end

function Scene:pop()

	if (#self.stack > 1) then

		local p = self:current()

		if (p) then
			p:leave(n)
		end

		self.stack[#self.stack] = nil
		self:change()

	end

end

function Scene:current()
	return self.stack[#self.stack]
end

function Scene:on(f)
	self.cb = f
end

function Scene:change()

	for i, s in pairs(self.scenes) do
		s:setDraw(false)
		s:setUpdate(false)
		s:setListen(false)
	end

	for i, s in ipairs(self.stack) do
		s:setDraw(true)
		s:setUpdate(true)
	end

	self.cb(self:current())

	if (self:current()) then
		self:current():setListen(true)
	end

end

return Scene
