-- wengwengweng

local screen = {}

function screen:init(w, h)

	self.width = w or love.graphics.getWidth()
	self.height = h or love.graphics.getHeight()

	if (self:isMobile()) then
		love.window.setFullscreen(true)
	end

end

function screen:isMobile()
	return love.system.getOS() == "iOS" or love.system.getOS() == "Android"
end

function screen:toGame(x, y)
	return x * self.width / love.graphics.getWidth(), y * self.height / love.graphics.getHeight()
end

function screen:toScreen(x, y)
	return x * love.graphics.getWidth() / self.width, y * love.graphics.getHeight() / self.height
end

function screen:push()
	love.graphics.push()
	love.graphics.scale(love.graphics.getWidth() / self.width, love.graphics.getHeight() / self.height)
end

function screen:pop()
	love.graphics.pop()
end

return screen
