-- wengwengweng

local SoundManager = Object:extend()

function SoundManager:new()
	self._list = {}
end

function SoundManager:add(name, src)

	assert(type(name) == "string", "string expected")
	assert(type(src) == "userdata", "audio expected")

	self._list[name] = src

	return self:get(name)

end

function SoundManager:get(name)
	return self._list[name]
end

function SoundManager:play(name)

	if (self:get(name):getType() == "static") then
		if (self._list[name]:isPlaying()) then
			self._list[name] = self._list[name]:clone()
		end
	end

	self:get(name):play()

end

function SoundManager:stop(name)
	self:get(name):stop()
end

function SoundManager:pause(name)
	self:get(name):pause()
end

return SoundManager
