-- wengwengweng

local Bedroom = View:extend()

Bedroom.name = "Bedroom"

function Bedroom:init()

	Bedroom.super.init(self)

	-- Nodes
	self:n(T(0, 0))
	self:n(World())
	self:n(Sprite(assets.sprites.bedroom)):z(1):t("common")
	self[Sprite]:setSize(screen.width, screen.height)
	self:n(Fridge(96, 132)):z(2):t("common")
	self:n(Flower(400, 300)):z(3):t("common")
	self:n(Note(484, 448)):z(4):t("common")

	for i = 1, 6 do
		self:n(Leaf(i, self[Flower][T].pos.x, self[Flower][T].pos.y)):z(5):t("common")
	end

	self:n(Mouth(792, 292)):z(6):t("common")
	self:n(Painting(720, 172)):z(7):t("common")
	self:n(ToothBrush(656, 572)):z(8):t("common")
	self:n(Blanket(580, 540)):z(9):t("common")
	self:n(Light(460, 0)):z(10)

end

function Bedroom:darken()

	for i, n in ipairs(self:get("common")) do
		n:setDraw(false)
		n:setListen(false)
	end

	if (self[Painting].twisted) then
		self[Mouth]:setDraw(true)
		self[Mouth]:setListen(true)
	end

end

function Bedroom:lighten()

	for i, n in ipairs(self:get("common")) do
		n:setDraw(true)
		n:setListen(true)
	end

	self[Mouth]:setDraw(false)
	self[Mouth]:setListen(false)

end

return Bedroom
