-- wengwengweng

local Fridge = Item:extend()

Fridge.name = "Fridge"

function Fridge:init(x, y)

	-- Props
	self.opened = true

	-- Nodes
	self:n(T(x, y))
	self:n(Sprite(assets.sprites.fridge, 2))
	self[Sprite]:setWidth(280)
	self[Sprite]:clip("open", {1, 1})
	self[Sprite]:clip("close", {2, 2})
	self:n(Box({ {96, 232}, {224, 364}, {194, 439}, {84, 382} }, self.parent[World]))
	self:n(Box({ {108, 232}, {272, 216}, {272, 344}, {232, 364} }, self.parent[World]))
	self:n(Box({ {12, 12}, {192, 12}, {192, 100}, {12, 100} }, self.parent[World]))

	self[Sprite]:on("open", function()
		self[Box][1]:setVertices({ {96, 232}, {224, 364}, {194, 439}, {84, 382} })
		self[Box][2]:setVertices({ {108, 232}, {272, 216}, {272, 344}, {232, 364} })
	end)

	self[Sprite]:on("close", function()
		self[Box][1]:setVertices({ {76, 220}, {276, 220}, {276, 364}, {76, 364} })
		self[Box][2]:setVertices({ {0, 0}, {0, 0}, {0, 0}, {0, 0} })
	end)

	self[Sprite]:play("open")

end

function Fridge:click(index)

	if (index == 1) then

		if (self.opened) then

			self.opened = false
			self[Sprite]:play("close")
			sounds:get("door"):setPitch(0.8)
			sounds:play("door")

			if (self.root[Frozen].icing) then
				self.root[Frozen].icing = false
				self.root[Frozen][ToothBrush].state:set("ICED")
				self.root[Frozen][ToothBrush]:change()
			end

		else

			self.opened = true
			self[Sprite]:play("open")
			sounds:get("door"):setPitch(1)
			sounds:play("door")

		end

	elseif (index == 2) then

		self.root:to(Frozen)

	elseif (index == 3) then

		self.root:to(Balcony)

	end

end

return Fridge
