-- wengwengweng

local Frozen = View:extend()

Frozen.name = "Frozen"

function Frozen:init()

	Frozen.super.init(self)

	-- Props
	self.itemPos = Vector(532, 360)
	self.icing = false

	-- Nodes
	self:n(T(0, 0))
	self:n(World())
	self:n(Sprite(assets.sprites.frozen))
	self[Sprite]:setSize(screen.width, screen.height)
	self:n(Spot(532, 342, { {-136, -128}, {136, -128}, {136, 128}, {-136, 128} }, self[World]))

end

function Frozen:fetch(item)

	if (not self[ToothBrush]) then

		self:adopt(item)
		self:pick()
		sounds:get("pick"):setPitch(0.6)
		sounds:play("pick")

		if (self[ToothBrush].state:is("PASTED")) then
			self.icing = true
		end

	end

end

function Frozen:pick()

	self[ToothBrush][Motion]:to(self.itemPos:unpack())

end

function Frozen:full()

	if (self[ToothBrush]) then
		return self[ToothBrush][T].pos == self.itemPos
	end

	return false

end

return Frozen
