-- wengwengweng

local Leaf = Item:extend()

Leaf.name = "Leaf"
Leaf.unique = false

function Leaf:init(n, x, y)

	local boxes = {
		{ {-3, 60}, {30, 48}, {96, 156}, {74, 184} },
		{ {43, 54}, {75, 48}, {110, 172}, {84, 180} },
		{ {90, 16}, {124, 48}, {90, 172}, {64, 168} },
		{ {116, 84}, {137, 96}, {104, 176}, {78, 164} },
		{ {145, 24}, {166, 48}, {133, 192}, {104, 182} },
		{ {167, 108}, {188, 128}, {148, 184}, {124, 172} }
	}

	-- Props
	self.num = n
	self.faded = false
	self.change = Vector()

	-- Nodes
	self:n(T(x, y))
	self:n(Sprite(assets.sprites["leaf" .. self.num]))
	self[Sprite]:setWidth(192)
	self:n(Box(boxes[self.num], self.parent[World]))

end

function Leaf:update(dt)

	Leaf.super.update(self, dt)
	self[T].pos:set(self[T].pos + self.change * dt)

end

function Leaf:click(index)

	sounds:get("cut"):setPitch(_.random() * 0.3 + 0.8)
	sounds:play("cut")
	self.faded = true
	self.change:set(_.random(-96, 96), -272)

end

return Leaf
