-- wengwengweng

local Motion = Node:extend()

Motion.name = "Motion"
Motion.deps = { T }

function Motion:init()

	self:n(T(0, 0))
	self[T].pos:set(self.parent[T].pos)
	self.translating = false
	self.speed = 0

end

function Motion:update(dt)

	if (self.translating) then

		local pos = self.parent[T].pos

		if (self.speed == 0) then

			self.translating = false
			pos:set(self[T].pos:unpack())

		else

			pos.x = _.smooth(pos.x, self[T].pos.x, self.speed * dt)
			pos.y = _.smooth(pos.y, self[T].pos.y, self.speed * dt)

			if ((self[T].pos - pos):mag() < 1) then

				self.translating = false
				pos:set(self[T].pos:unpack())

			end

		end

	end

end

function Motion:to(x, y)

	self[T].pos:set(x, y)
	self.translating = true

end

function Motion:setSpeed(s)

	self.speed = s

end

return Motion
