-- wengwengweng

local Painting = Item:extend()

Painting.name = "Painting"

function Painting:init(x, y)

	-- Props
	self.twisted = false
	self.angle = 0

	-- Nodes
	self:n(T(x, y))
	self:n(Sprite(assets.sprites.painting))
	self[Sprite]:setWidth(140):setOffset(0.2, 0.2)
	self[Sprite]:clip("normal", {1, 1})
	self[Sprite]:clip("twisted", {1, 1})

	self[Sprite]:on("normal", function()
		self.angle = 0
		self[Box][1]:setVertices({ {-32, -48}, {120, -48}, {120, 160}, {-32, 160} })
	end)

	self[Sprite]:on("twisted", function()
		self.angle = 30
		self[Box][1]:setVertices({ {-17, -24}, {96, 12}, {24, 160}, {-96, 120} })
	end)

	self:n(Box({ {-32, -48}, {120, -48}, {120, 160}, {-32, 160} }, self.parent[World]))
	self[Sprite]:play("normal")

end

function Painting:update(dt)

	self[Sprite]:setAngle(_.smooth(self[Sprite].angle, self.angle, 12 * dt))
	Painting.super.update(self, dt)

end

function Painting:click(index)

	if (self.twisted) then

		self.twisted = false
		self[Sprite]:play("normal")

	else

		self.twisted = true
		self[Sprite]:play("twisted")

	end

end

return Painting
