-- wengwengweng

local Search = Root:extend()

Search.name = "Search"

function Search:init()

	-- Props
	self.clicked = false

	-- Children
	self:n(T())
	self:n(World())
	self:n(Bedroom()):z(1)
	self:n(Frozen()):z(2)
	self:n(Balcony()):z(2)
	self:n(Secret()):z(2)
	self:n(Yo()):z(2)
	self:n(Good()):z(100)
	self:n(Bag(154, 524)):z(10)
	self:n(Back(154, 120)):z(10)

	self:n(Scene(
		self[Bedroom],
		self[Frozen],
		self[Balcony],
		self[Secret],
		self[Yo],
		self[Good]
	))

	self[Scene]:on(function(c)

		local toggle = #self[Scene].stack > 1

		cursor:set("normal")
		self[Back]:change(c)
		self[Back]:setUpdate(toggle)
		self[Back]:setDraw(toggle)
		self[Back]:setListen(toggle)

	end)

	self[Scene]:switch(Bedroom)

	-- Start
	sounds:play("icecream")

end

function Search:input(e)

	e:keyPressed({ "tab" }, function()
		debug:toggle()
	end)

	e:keyPressed({ "escape" }, function(dt)
		if (self[Back]) then
			self:back()
		end
	end)

	e:mouseMoved(function(x, y, dx, dy)

		cursor:set("normal")

		if (self[ToothBrush]) then
			if (not self[ToothBrush].state:is("DEAD")) then
				self[ToothBrush][T].pos:set(screen:toGame(x, y))
			end
		end

	end)

	e:mousePressed({1, 2}, function(x, y)
		self.clicked = false
	end)

end

function Search:fetch(item)

	if (not self[ToothBrush]) then

		item[T]:to(self[T])
		self:adopt(item)
		self[ToothBrush]:z(50)

	end

end

function Search:back()

	self[Scene]:pop()

end

function Search:to(s)

	self[Scene]:push(s)

end

function Search:go()

	sounds:stop("icecream")
	sounds:stop("drill")
	sounds:play("room")
	self:destroy(Bag)
	self:destroy(Back)

end

return Search
