-- wengwengweng

local T = Node:extend()

T.name = "T"
T.index = -999

function T:init(x, y, a, sx, sy)

	self.pos = Vector((x or 0), (y or 0))
	self.angle = a or 0
	self.scale = Vector((sx or 1), (sy or 1))
	self.offset = Vector((ox or 0), (ox or 0))

end

function T:global()

	local t = {}

	t.pos = Vector(0, 0)
	t.angle = 0
	t.scale = Vector(0, 0)

	if (self.root == self.parent) then

		return t

	else

		local p = self.parent

		while (p) do

			if (p[T]) then
				t.pos = t.pos + p[T].pos
			end

			p = p.parent

		end

	end

	return t

end

function T:to(p)

	assert(Object.is(p, T), "not a transform")
	self.pos:set(self:global().pos - p.pos)

end

function T:draw()

	love.graphics.translate(self.pos.x, self.pos.y)
	love.graphics.rotate(math.rad(self.angle))
	love.graphics.scale(self.scale.x, self.scale.y)
	T.super.draw(self)

end

return T
