-- wengwengweng

local World = Node:extend()

World.name = "World"
World.index = 999

function World:init()

	self.boxes = {}

end

function World:map(f)

	for i, b in ipairs(self.boxes) do

		local result = f(b)

		if (result ~= nil) then
			return result
		end

	end

end

function World:add(box)

	if (not self:has(box)) then
		_.push(self.boxes, box)
	end

	return self

end

function World:remove(box)

	if (self:has(box)) then
		_.remove(self.boxes, box)
	end

	return self

end

function World:has(box)

	return self:map(function(b)
		if (b == box) then
			return true
		end
	end) or false

end

function World:get(f)

	local list = {}

	self:map(function(b)
		if (f(b)) then
			list[#list + 1] = b
		end
	end)

	return list

end

function World:getByTag(tag)

	return self:get(function(b)
		return b:hasTag(tag)
	end)

end

function World:getSolids()

	return self:get(function(b)
		return b.solid
	end)

end

function World:draw()

	if (not debug.ing) then
		return
	end

	debug:ignoreDraw()

	self:map(function(b)
		b:debug()
	end)

end

return World
