-- wengwengweng

local Yo = View:extend()

Yo.name = "Yo"

function Yo:init()

	Yo.super.init(self)

	-- Props
	self.done = false
	self.yo = false
	self.speed = 0.2

	-- Nodes
	self:n(T(0, 0))
	self:n(Sprite(assets.sprites.yo))
	self[Sprite]:setSize(screen.width, screen.height)
	self:n(World())
	self:n(Eye(560, 380))
	self:n(Timer())

	-- Shader
	self.noise = Shader("noise")
	self.shader = Shader("invert")

end

function Yo:update(dt)

	Yo.super.update(self, dt)

	if (self.done) then

		self[Camera]:to(640, 412)

		if (not self.yo) then

			self[Camera]:scale(self[Camera][T].scale.x + dt * self.speed)
			self.speed = self.speed + dt / 12

		end

	end

end

function Yo:draw()

	if (self.yo) then
		self.noise:push()
		self.shader:push()
	end

	Yo.super.draw(self)

	if (self.yo) then
		self.shader:pop()
		self.noise:pop()
	end

end

function Yo:found()

	self.done = true

	self[Timer]:after(12, function()

		self.yo = true
		self[Eye][Sprite]:stop()
		sounds:stop("room")
		sounds:play("scream")

		self[Timer]:after(1, function()
			love.event.quit()
		end)

	end)

end

return Yo
